import React from 'react'
import { storiesOf } from '@storybook/react-native'

import RadioButton from './RadioButton'
import FormBuilder from './FormBuilder'

storiesOf('RadioButton', module)
  //  Primary Button
  .add('All', () => <FormBuilder onSubmit={console.log} Example={RadioButton} />)
  .add('Toggled', () => <FormBuilder initialValues={{ example: true }} onSubmit={console.log} Example={RadioButton} />)
  .add('Un-toggled', () => (
    <FormBuilder initialValues={{ example: false }} onSubmit={console.log} Example={RadioButton} />
  ))
